Subject: Re: [PATCH 01/11] test-lib: catch misspelt 'test_expect_successo'

From: Patrick Steinhardt <[email-masked]>
Date: Fri, 27 Mar 2026 08:53:41 +0100

On Thu, Mar 26, 2026 at 01:29:20PM -0400, Jeff King wrote:
> On Thu, Mar 26, 2026 at 07:27:44AM -0700, Junio C Hamano wrote:
> 
> > >  test_expect_success !MINGW 'a constipated git dies with SIGPIPE' '
> > > -	OUT=$( ((large_git; echo $? 1>&3) | :) 3>&1 ) &&
> > > +	OUT=$( ((large_git || echo $? 1>&3) | :) 3>&1 ) &&
> > >  	test_match_signal 13 "$OUT"
> > >  '
> > >  
> > >
> > > That neglects to echo $? when large_git surprisingly succeeds, but that
> > > would mean $OUT is empty, which would cause the test to (correctly)
> > > fail. I kind of hate it, though.
> > 
> > Would
> > 
> > 	OUT=$( ((large_git && echo 0 || echo $? 1>&3) | :) 3>&1 )
> > 
> > do a bit better?
> 
> Yeah, that is better (though in practice the same for our purposes in
> this particular test).
> 
> > We can keep fixing things one by one as we find these little
> > glitches and gochas, of it may be a whack-a-mole exercise that
> > eventually will turn out to be futile.  I dunno.
> 
> Yeah, after getting the tests passing locally I pushed to CI and saw a
> ton of failures. I think one is just:

I think the exercise is still worth it -t most of the changes are
trivial, and it does help to make our tests a bit more robust.

Let me know in case you get worn out by this though and then I'm happy
to take over. I like to have a numb task every now and then where I
don't have to think much, and this here very much is such a task :)

Patrick